npm package discovery and stats viewer.

Discover Tips

  • General search

    [free text search, go nuts!]

  • Package details

    pkg:[package-name]

  • User packages

    @[username]

Sponsor

Optimize Toolset

I’ve always been into building performant and accessible sites, but lately I’ve been taking it extremely seriously. So much so that I’ve been building a tool to help me optimize and monitor the sites that I build to make sure that I’m making an attempt to offer the best experience to those who visit them. If you’re into performant, accessible and SEO friendly sites, you might like it too! You can check it out at Optimize Toolset.

About

Hi, 👋, I’m Ryan Hefner  and I built this site for me, and you! The goal of this site was to provide an easy way for me to check the stats on my npm packages, both for prioritizing issues and updates, and to give me a little kick in the pants to keep up on stuff.

As I was building it, I realized that I was actually using the tool to build the tool, and figured I might as well put this out there and hopefully others will find it to be a fast and useful way to search and browse npm packages as I have.

If you’re interested in other things I’m working on, follow me on Twitter or check out the open source projects I’ve been publishing on GitHub.

I am also working on a Twitter bot for this site to tweet the most popular, newest, random packages from npm. Please follow that account now and it will start sending out packages soon–ish.

Open Software & Tools

This site wouldn’t be possible without the immense generosity and tireless efforts from the people who make contributions to the world and share their work via open source initiatives. Thank you 🙏

© 2024 – Pkg Stats / Ryan Hefner

cli-countdown

v1.0.0

Published

Counts down within a shell script to give users a chance to exit

Downloads

2

Readme

cli-countdown

Counts down a number of seconds before exiting. This is useful as an alternative to read, to give users a chance to exit multi-part shell scripts.

npm install -g cli-countdown

Usage

echo Doing interesting things...
echo Now about to delete some files
countdown -m "Deleting files in" -s 10
rm foo.txt

Which displays

screenshot

  • If the timer runs to the end, the exit code will be 0
  • If the user interrupts with Ctrl-C (SIGINT), the exit code will be 1

If you want Ctrl-C to abort the current shell script completely, you will probably want to use

  • set -e at the top of your script
  • or countdown <args> || exit 1

Arguments

  • countdown -s 10: timer duration in seconds (default 10)
  • countdown -m "message": message to display (default none)